YAPF3(1)

NAME
yapf3 - Python code formatter

SYNOPSIS
yapf3 [-h] [-v] [-d | -i] [-r | -l START-END] [-e PATTERN] [--style STYLE] [--style-help] [--no-local-style] [files [files ...]]

DESCRIPTION
yapf3 is a Python code formatter for Python 3.

OPTIONS

-h, --help
    show this help message and exit

-v, --version
    show version number and exit

-d, --diff
    print the diff for the fixed source

-i, --in-place
    make changes to files in place

-r, --recursive
    run recursively over directories

-l START-END, --lines START-END
    range of lines to reformat, one-based

-e PATTERN, --exclude PATTERN
    patterns for files to exclude from formatting

--style STYLE
    specify formatting style: either a style name (for example "pep8" or "google"), or the name of a file with style settings. The default is pep8 unless a .style.yapf3 or setup.cfg file located in one of the parent directories of the source file (or current directory for stdin)

--style-help
    show style settings and exit

--no-local-style
    don't search for local style definition (.style.yapf3)

    [--style STYLE] [--style-help] [--no-local-style] [files [files ...]]

SEE ALSO
Usage examples along with detailed information on configuring formatting style can be found at https://github.com/google/yapf/.